LSCPU(1)

NAME
lscpu - CPU architecture information helper

SYNOPSIS
lscpu [-hp]

DESCRIPTION
lscpu gathers CPU architecture information like number of CPUs, threads, cores, sockets, NUMA nodes, information about CPU caches, CPU family, model and stepping from sysfs and /proc/cpuinfo, and prints it in human-readable format. Alternatively, it can print out in parsable format including how different caches are shared by different CPUs, which can also be fed to other programs.

OPTIONS

-h, --help
    Print a help message.

-p, --parse
    Print out in parsable instead of printable format.

BUGS
The basic overview about CPU family, model, etc. is always based on the first CPU only.

Sometimes in Xen Dom0 kernel reports wrong data.

AUTHOR
Cai Qian <qcai@redhat.com>
Karel Zak <kzak@redhat.com>

AVAILABILITY
The lscpu command is part of the util-linux-ng package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.